Subject: Re: bug#21522: assertion metadata_length > 0 in add_logical_part_metadata failed

From: Phil Susi <[email-masked]>
Date: Thu, 24 Sep 2015 10:53:31 -0400

On 9/23/2015 8:15 PM, Brian C. Lane wrote:
> This isn't actually a bug, logical partitions need to have at least 1
> sector between them for metadata storage. parted enforces this when
> creating logical partitions, but other tools do not.

While parted lays out the disk this way, it doesn't have to be.  The EBR
for each chained logical volume can be placed anywhere in the extended
partition.  In his case, it looks like both are at the start of the
extended partition.  This is perfectly ok and parted should accept it.

Now that I have both EBRs I'm able to reproduce the crash and will try
to fix it.